" Vim syntax file
" Language:	egrep
" Maintainer:	Marius Gedminas <mgedmin@delfi.lt>
" Last Change:	2001 Dec 02

" For version 5.x: Clear all syntax items
" For version 6.x: Quit when a syntax file was already loaded
if version < 600
    syn clear
elseif exists("b:current_syntax")
    finish
endif

syn match egrepTab	"\t"
syn match egrepMeta	"[.?*+|]"
syn match egrepMeta	"^^"
syn match egrepMeta	"$$"
syn match egrepMeta	"\\." contains=egrepTab
syn match egrepMeta	"\[.\{-}\]" contains=egrepTab
syn match egrepMeta	"{\d*,\d*}"
syn match egrepMeta	"(.\{-})"

if version >= 508 || !exists("did_egrep_syntax_inits")
    if version < 508
	let did_egrep_syntax_inits = 1
	command -nargs=+ HiLink hi link <args>
    else
	command -nargs=+ HiLink hi def link <args>
    endif

    HiLink egrepTab		Todo
    HiLink egrepMeta		Special

    delcommand HiLink
endif

let b:current_syntax = "egrep"

" vim: sts=4 sw=4 ts=8
